/****************************************************************************

This file is part of the QML showcase project hosted on http://gitorious.org/qmlshowcase

Copyright (c) 2012 Nokia Corporation and/or its subsidiary(-ies).*
All rights reserved.

Contact:  Johannes Zellner webmaster@nebulon.de

You may use this file under the terms of the BSD license as follows:

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* Neither the name of Nokia Corporation and its Subsidiary(-ies) nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

****************************************************************************/

import QtQuick 1.0

Image {
    property alias originX : rootTransform.origin.x
    property alias toAngle: property_ani.to
    property alias originY : rootTransform.origin.y
    property alias setAxis_x : rootTransform.axis.x
    property alias setAxis_y : rootTransform.axis.y
    property alias setAxis_z : rootTransform.axis.z
    property alias originZ: rootTransform.origin.z

    id:rect1
    width:250;height:250
    scale:1
    state: ""
    smooth: true
    source: "./media/button1-2.png"

    MouseArea{
        anchors.fill: parent
        hoverEnabled: true
        onClicked:{
            anime.start()
        }
        onEntered:{
            anime.start()
        }
    }

    transform: Rotation{
        id:rootTransform;
        origin.x: 0;
        origin.y: rect1.height/2.0;

        angle: 0
        axis{
            x:0;y:1;z:0
        }
    }

    SequentialAnimation{
        id:anime

        ParallelAnimation{
            PropertyAnimation{
                id:property_ani
                target: rootTransform
                properties: "angle"
                to:90
                duration: 300
            }
            PropertyAnimation{
                target:rect1
                properties:"opacity"
                to:0.1
                duration:300
            }
        }
        ParallelAnimation{
            PropertyAnimation{
                target: rootTransform
                properties: "angle"
                to:0
                duration: 100
            }
            PropertyAnimation{
                target:rect1
                properties:"opacity"
                to:1
                duration:100
            }
        }
    }
}
