/****************************************************************************

This file is part of the QML showcase project hosted on http://gitorious.org/qmlshowcase

Copyright (c) 2012 Nokia Corporation and/or its subsidiary(-ies).*
All rights reserved.

Contact:  Johannes Zellner webmaster@nebulon.de

You may use this file under the terms of the BSD license as follows:

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* Neither the name of Nokia Corporation and its Subsidiary(-ies) nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

****************************************************************************/
import QtQuick 1.0
//this is Scale Animation

Item {
    id: root
    anchors.fill: parent

    Image{
        id:rect1
        width:256;height: 256
        state: ""
        smooth: true
        anchors.centerIn: parent
        source:"./media/qtlogo.png"

        MouseArea{
            id:mousearea1
            hoverEnabled: true
            anchors.fill: parent
            onClicked:{
                anime.start()
            }
            onEntered:{
                anime.start()
            }
        }
        SequentialAnimation{
            id:anime

            ParallelAnimation{
                PropertyAnimation{
                    target: rect1
                    properties: "scale"
                    to:3
                    duration: 1000
                    easing.type: Easing.InOutBack
                }
                PropertyAnimation{
                    target:rect1
                    properties:"opacity"
                    to:0.1
                    duration:1000
                    easing.type: Easing.InOutBack
                }
            }
            ParallelAnimation{
                PropertyAnimation{
                    target: rect1
                    properties: "scale"
                    to:1
                    duration: 1000
                    easing.type: Easing.InOutBack
                }
                PropertyAnimation{
                    target:rect1
                    properties:"opacity"
                    to:1
                    duration:1000
                    easing.type: Easing.InOutBack
                }
            }
        }
    }
}

