/****************************************************************************

This file is part of the QML showcase project hosted on http://gitorious.org/qmlshowcase

Copyright (c) 2012 Nokia Corporation and/or its subsidiary(-ies).*
All rights reserved.

Contact:  Johannes Zellner webmaster@nebulon.de

You may use this file under the terms of the BSD license as follows:

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* Neither the name of Nokia Corporation and its Subsidiary(-ies) nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

****************************************************************************/

import QtQuick 1.0
import Qt.labs.particles 1.0
import QtMultimediaKit 1.1

Rectangle {
    id: display
    width: 1024
    height: 768
    anchors.centerIn: parent
    color: "black"

    Menu {
        id: menu
        anchors.left: parent.left
        anchors.top:  parent.top
        width: 160
        height: parent.height
        z: 10000
        property string demoFile
        onSelected: {
            switchAnimation.restart()
            menu.demoFile = demo
        }
    }

    SequentialAnimation {
        id: switchAnimation
        NumberAnimation {
            target: menu
            property: "width"
            to: display.width+100
            duration: 500
            easing.type: Easing.InOutExpo
        }
        ScriptAction {
            script: mainItem.source = menu.demoFile
        }
        NumberAnimation {
            target: menu
            property: "width"
            to: 160
            duration: 500
            easing.type: Easing.OutExpo
        }
    }

    Loader {
        id: mainItem
        anchors.left: menu.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.right: parent.right
        source: "demo1.qml"
    }

//    Audio {
//        id: playSound
//        source: "../music/7_AKAI.mp3"
//        playing: true
//        Component.onCompleted: play()
//        onStarted: play()
//    }
}
